#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cerr.tie(NULL);
    cout.tie(NULL);

    int t;
    cin >> t;
    int n[t];
    int m[t];
    int k[t];
    for(int i=0;i<t;i++)
        cin >> n[i] >> m[i] >> k[i];
    int sum=0;
    for(int i=0;i<t;i++)
    {
        for(int j=1;j<=n[i];j++)
            sum+=j;
        if(m[i]<sum*k[i])
            cout << "Nie" << endl;
        else if(n[i]<k[i])
            cout << "Nie" << endl;
        else
            cout << "Tak" << endl;
        sum=0;
    }
    return 0;
}